public class PlayCircle {

    //Statische Felder und Methoden
    public static final double PI = 3.14159;

    // Durchmesser
    public static double calcDiameter(double radius) {
        return radius * 2;
    }

    // Flche
    public static double calcArea(double radius) {
        return PI * radius * radius;
    }

    // Umfang
    public static double calcCircumference(double radius) {
        return 2 * PI * radius;
    }

    //Objektfelder und Methoden
    private double rad;

    //Konstruktor
    public PlayCircle(double radius) {
        this.rad = radius;
    }

    // Gibt Radius zurck
    public double getRadius() {
        return rad;
    }

    public boolean isEqual(PlayCircle circle) {
        return getRadius() == circle.getRadius();
    }

    public void print() {
        System.out.println(" Kreis mit Radius: " + getRadius());
        System.out.println(" Durchmesser     : " + calcDiameter(getRadius()));
        System.out.println(" Flaeche         : " + calcArea(getRadius()));
        System.out.println(" Umfang          : " + calcCircumference(getRadius()));
    }

}
